Skip to main content
POST
/
merchant
/
payment
/
external_gateway_refund
/
mark_failed
Mark External Gateway Refund As Failed
curl --request POST \
  --url https://api.unibee.dev/merchant/payment/external_gateway_refund/mark_failed \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalRefundId": "<string>",
  "failureReason": "<string>",
  "refundId": "<string>",
  "signature": "<string>",
  "timestamp": 123,
  "gatewayId": 123
}
'
{
  "code": 123,
  "data": {
    "paymentId": "<string>",
    "refundId": "<string>",
    "status": "<string>"
  },
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Mark refund as failed using external gateway result. Auth: OpenAPI + signature (HMAC-SHA256, hex).

externalRefundId
string<string>
required

External refund transaction id from gateway, used as idempotent key

failureReason
string<string>
required

Human-readable failure reason from external gateway

refundId
string<string>
required

The UniBee refundId

signature
string<string>
required

HMAC-SHA256 hex signature using External Gateway API Key over 'refundId|externalRefundId|timestamp'

timestamp
integer<int64>
required

Unix timestamp in seconds, used for signature and anti-replay

gatewayId
integer<int64>

External gateway id (optional), if omitted will be resolved from refundId

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>